LPCOpen Platform for LPC18XX/43XX microcontrollers: LPC_EMC_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
LPC_EMC_T Struct Reference
CHIP: LPC18xx/43xx External Memory Controller driver

## Detailed Description

External Memory Controller (EMC) register block structure.

Definition at line 49 of file emc_18xx_43xx.h.

`#include "emc_18xx_43xx.h"`

## Data Fields
__IO uint32_t | CONTROL
__I uint32_t | STATUS
__IO uint32_t | CONFIG
__I uint32_t | RESERVED0 [5]
__IO uint32_t | DYNAMICCONTROL
__IO uint32_t | DYNAMICREFRESH
__IO uint32_t | DYNAMICREADCONFIG
__I uint32_t | RESERVED1
__IO uint32_t | DYNAMICRP
__IO uint32_t | DYNAMICRAS
__IO uint32_t | DYNAMICSREX
__IO uint32_t | DYNAMICAPR
__IO uint32_t | DYNAMICDAL
__IO uint32_t | DYNAMICWR
__IO uint32_t | DYNAMICRC
__IO uint32_t | DYNAMICRFC
__IO uint32_t | DYNAMICXSR
__IO uint32_t | DYNAMICRRD
__IO uint32_t | DYNAMICMRD
__I uint32_t | RESERVED2 [9]
__IO uint32_t | STATICEXTENDEDWAIT
__I uint32_t | RESERVED3 [31]
__IO uint32_t | DYNAMICCONFIG0
__IO uint32_t | DYNAMICRASCAS0
__I uint32_t | RESERVED4 [6]
__IO uint32_t | DYNAMICCONFIG1
__IO uint32_t | DYNAMICRASCAS1
__I uint32_t | RESERVED5 [6]
__IO uint32_t | DYNAMICCONFIG2
__IO uint32_t | DYNAMICRASCAS2
__I uint32_t | RESERVED6 [6]
__IO uint32_t | DYNAMICCONFIG3
__IO uint32_t | DYNAMICRASCAS3
__I uint32_t | RESERVED7 [38]
__IO uint32_t | STATICCONFIG0
__IO uint32_t | STATICWAITWEN0
__IO uint32_t | STATICWAITOEN0
__IO uint32_t | STATICWAITRD0
__IO uint32_t | STATICWAITPAG0
__IO uint32_t | STATICWAITWR0
__IO uint32_t | STATICWAITTURN0
__I uint32_t | RESERVED8
__IO uint32_t | STATICCONFIG1
__IO uint32_t | STATICWAITWEN1
__IO uint32_t | STATICWAITOEN1
__IO uint32_t | STATICWAITRD1
__IO uint32_t | STATICWAITPAG1
__IO uint32_t | STATICWAITWR1
__IO uint32_t | STATICWAITTURN1
__I uint32_t | RESERVED9
__IO uint32_t | STATICCONFIG2
__IO uint32_t | STATICWAITWEN2
__IO uint32_t | STATICWAITOEN2
__IO uint32_t | STATICWAITRD2
__IO uint32_t | STATICWAITPAG2
__IO uint32_t | STATICWAITWR2
__IO uint32_t | STATICWAITTURN2
__I uint32_t | RESERVED10
__IO uint32_t | STATICCONFIG3
__IO uint32_t | STATICWAITWEN3
__IO uint32_t | STATICWAITOEN3
__IO uint32_t | STATICWAITRD3
__IO uint32_t | STATICWAITPAG3
__IO uint32_t | STATICWAITWR3
__IO uint32_t | STATICWAITTURN3

## Field Documentation

__IO uint32_t CONFIG

Configures operation of the memory controller.

Definition at line 52 of file emc_18xx_43xx.h.

__IO uint32_t CONTROL

< EMC Structure Controls operation of the memory controller.

Definition at line 50 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICAPR

Selects the last-data-out to active command time.

Definition at line 61 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICCONFIG0

Selects the configuration information for dynamic memory chip select n.

Definition at line 72 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICCONFIG1

Selects the configuration information for dynamic memory chip select n.

Definition at line 75 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICCONFIG2

Selects the configuration information for dynamic memory chip select n.

Definition at line 78 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICCONFIG3

Selects the configuration information for dynamic memory chip select n.

Definition at line 81 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICCONTROL

Controls dynamic memory operation.

Definition at line 54 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICDAL

Selects the data-in to active command time.

Definition at line 62 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICMRD

Selects the load mode register to active command time.

Definition at line 68 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICRAS

Selects the active to precharge command period.

Definition at line 59 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICRASCAS0

Selects the RAS and CAS latencies for dynamic memory chip select n.

Definition at line 73 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICRASCAS1

Selects the RAS and CAS latencies for dynamic memory chip select n.

Definition at line 76 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICRASCAS2

Selects the RAS and CAS latencies for dynamic memory chip select n.

Definition at line 79 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICRASCAS3

Selects the RAS and CAS latencies for dynamic memory chip select n.

Definition at line 82 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICRC

Selects the active to active command period.

Definition at line 64 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICREADCONFIG

Configures the dynamic memory read strategy.

Definition at line 56 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICREFRESH

Configures dynamic memory refresh operation.

Definition at line 55 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICRFC

Selects the auto-refresh period.

Definition at line 65 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICRP

Selects the precharge command period.

Definition at line 58 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICRRD

Selects the active bank A to active bank B latency.

Definition at line 67 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICSREX

Selects the self-refresh exit time.

Definition at line 60 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICWR

Selects the write recovery time.

Definition at line 63 of file emc_18xx_43xx.h.

__IO uint32_t DYNAMICXSR

Selects the exit self-refresh to active command time.

Definition at line 66 of file emc_18xx_43xx.h.

__I uint32_t RESERVED0[5]

Definition at line 53 of file emc_18xx_43xx.h.

__I uint32_t RESERVED1

Definition at line 57 of file emc_18xx_43xx.h.

__I uint32_t RESERVED10

Definition at line 107 of file emc_18xx_43xx.h.

__I uint32_t RESERVED2[9]

Definition at line 69 of file emc_18xx_43xx.h.

__I uint32_t RESERVED3[31]

Definition at line 71 of file emc_18xx_43xx.h.

__I uint32_t RESERVED4[6]

Definition at line 74 of file emc_18xx_43xx.h.

__I uint32_t RESERVED5[6]

Definition at line 77 of file emc_18xx_43xx.h.

__I uint32_t RESERVED6[6]

Definition at line 80 of file emc_18xx_43xx.h.

__I uint32_t RESERVED7[38]

Definition at line 83 of file emc_18xx_43xx.h.

__I uint32_t RESERVED8

Definition at line 91 of file emc_18xx_43xx.h.

__I uint32_t RESERVED9

Definition at line 99 of file emc_18xx_43xx.h.

__IO uint32_t STATICCONFIG0

Selects the memory configuration for static chip select n.

Definition at line 84 of file emc_18xx_43xx.h.

__IO uint32_t STATICCONFIG1

Selects the memory configuration for static chip select n.

Definition at line 92 of file emc_18xx_43xx.h.

__IO uint32_t STATICCONFIG2

Selects the memory configuration for static chip select n.

Definition at line 100 of file emc_18xx_43xx.h.

__IO uint32_t STATICCONFIG3

Selects the memory configuration for static chip select n.

Definition at line 108 of file emc_18xx_43xx.h.

__IO uint32_t STATICEXTENDEDWAIT

Selects time for long static memory read and write transfers.

Definition at line 70 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITOEN0

Selects the delay from chip select n or address change, whichever is later, to output enable.

Definition at line 86 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITOEN1

Selects the delay from chip select n or address change, whichever is later, to output enable.

Definition at line 94 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITOEN2

Selects the delay from chip select n or address change, whichever is later, to output enable.

Definition at line 102 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITOEN3

Selects the delay from chip select n or address change, whichever is later, to output enable.

Definition at line 110 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITPAG0

Selects the delay for asynchronous page mode sequential accesses for chip select n.

Definition at line 88 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITPAG1

Selects the delay for asynchronous page mode sequential accesses for chip select n.

Definition at line 96 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITPAG2

Selects the delay for asynchronous page mode sequential accesses for chip select n.

Definition at line 104 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITPAG3

Selects the delay for asynchronous page mode sequential accesses for chip select n.

Definition at line 112 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITRD0

Selects the delay from chip select n to a read access.

Definition at line 87 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITRD1

Selects the delay from chip select n to a read access.

Definition at line 95 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITRD2

Selects the delay from chip select n to a read access.

Definition at line 103 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITRD3

Selects the delay from chip select n to a read access.

Definition at line 111 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITTURN0

Selects bus turnaround cycles

Definition at line 90 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITTURN1

Selects bus turnaround cycles

Definition at line 98 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITTURN2

Selects bus turnaround cycles

Definition at line 106 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITTURN3

Selects bus turnaround cycles

Definition at line 114 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITWEN0

Selects the delay from chip select n to write enable.

Definition at line 85 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITWEN1

Selects the delay from chip select n to write enable.

Definition at line 93 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITWEN2

Selects the delay from chip select n to write enable.

Definition at line 101 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITWEN3

Selects the delay from chip select n to write enable.

Definition at line 109 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITWR0

Selects the delay from chip select n to a write access.

Definition at line 89 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITWR1

Selects the delay from chip select n to a write access.

Definition at line 97 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITWR2

Selects the delay from chip select n to a write access.

Definition at line 105 of file emc_18xx_43xx.h.

__IO uint32_t STATICWAITWR3

Selects the delay from chip select n to a write access.

Definition at line 113 of file emc_18xx_43xx.h.

__I uint32_t STATUS

Provides EMC status information.

Definition at line 51 of file emc_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/emc_18xx_43xx.h